﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.SceneManagement;
using UnityEngine.UI;

public class MenuUi : MonoBehaviour
{
    [SerializeField] 
    private Image playImage;

    [SerializeField] 
    private Color playColor;
    
    private void Start()
    {
        StartCoroutine(PlayColorChange());
    }

    private IEnumerator PlayColorChange()
    {
        yield return new WaitForSeconds(2);
        playImage.CrossFadeColor(playColor, 1, true, false);
        yield return new WaitForSeconds(1);
        playImage.CrossFadeColor(Color.white, 1, true, false);
        StartCoroutine(PlayColorChange());
    }
    
    public void PlayGame()
    {
        SceneManager.LoadScene("Game");
    }
}
