﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class WolfAttackTrigger : MonoBehaviour
{
    [SerializeField] 
    private Transform spawnPoint;
    
    private void OnTriggerEnter(Collider other)
    {
        if (other.CompareTag("Shepard") || other.CompareTag("Sheep"))
        {
            WolfController.Instance.TeleportWolf(spawnPoint.position);
            WolfController.Instance.StartChasing();
            
            Destroy(gameObject);
        }
    }
}
