﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.UI;

public class CooldownBar : MonoBehaviour
{
    [SerializeField] 
    private Image fillImage;

    [SerializeField]
    private float maxFillValue;
    

    public void SetCurrentValue(float currentValue)
    {
        currentValue = Mathf.Max(currentValue, 0);
        fillImage.fillAmount = Mathf.Min(currentValue / maxFillValue, 1);
    }
}
